<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Pernyataan_Instrument;
use App\Models\Sub_Pernyataan_Instrument;
use App\Models\Sub_Instrument;
use App\Models\Fakultas;
use App\Models\Instrument;
use App\Models\Tahun;
use App\Models\Hasil_Instrument;
use Illuminate\Http\Request;
use PDF;

class LembarInstrumentMonitoringController extends Controller
{
    private $indexRoute = null;

    public function __construct(){
        $this->indexRoute = route('pernyataan_instrument.index');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        
        $data['filter_instrument'] = $request->input('instrument');
        
        $data['filter_tahun'] = $request->input('tahun'); 

        $data['instrumentdetail']              = Instrument::query()->where('id', $data['filter_instrument'])->first();
       
        $data['pernyataan_instrument']         = Pernyataan_Instrument::query()->orderBy('pernyataan_instrument')->get();
        $data['sub_instrument']                = Sub_Instrument::query()->where('id_instrument',$data['filter_instrument'] )
                                                                        ->orderBy('id_instrument')->get();
        $data['sub_pernyataan_instrument']     = Sub_Pernyataan_Instrument::query()->orderBy('sub_peryataan')->get();
        $data['fakultas']                      = Fakultas::query()->orderBy('id')->get();
        
        $data['instrument']                    = Instrument::query()->orderBy('instrument')->get();
        $data['tahun']                         = Tahun::query()->orderBy('tahun')->get();

    
        return view('content.backend.masters.lembar_instrument_monitoring.index', $data);
    }

    public function filter(Request $request)
    {
      
       

        return redirect()->intended($this->indexRoute);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //dd($request->id_pernyataan_instrument);
        foreach ($request->input('jumlah_pernyataan_instrument') as $index => $value) 
        {
            if(!empty($request->jumlah_pernyataan_instrument[$index]))
            {
               
                if(empty($request->id[$index]))
                {
                    $post   = Hasil_Instrument::create(
                        [
                        'id_pernyataan_instrument'      => $request->id_pernyataan_instrument[$index],
                        'tahun'                         => $request->input('tahun'),
                        'id_fakultas'                   => $request->id_fakultas[$index],
                        'jumlah'                        => $request->jumlah_pernyataan_instrument[$index],
                        'id_sub_instrument'             => $request->id_sub_instrument,
                    ]);
                }
                else
                {
                    $update = Hasil_Instrument::where('id',$request->id[$index])
                                               ->update(['jumlah' => $request->jumlah_pernyataan_instrument[$index]]); 
                    
                }
             
            }
                            
                        
        }
        
        if(!empty($request->input('id_sub_pernyataan_instrument')))
        {
                foreach ($request->input('jumlah_sub_peryataan') as $index => $value) 
                {
                    if(empty($request->id_subhasil[$index]))
                    {
                                $post   = Hasil_Instrument::create(
                                    [
                                    'id_pernyataan_instrument'      => $request->id_pernyataan_instrument[$index],
                                    'id_sub_pernyataan_instrument'  => $request->id_sub_pernyataan_instrument[$index],
                                    'tahun'                         => $request->input('tahun'),
                                    'id_fakultas'                   => $request->id_fakultas[$index],
                                    'jumlah'                        => $request->jumlah_sub_peryataan[$index],
                                    'id_sub_instrument'             => $request->id_sub_instrument,
                                ]);
                    }   
                    else
                    {
                        $update = Hasil_Instrument::where('id',$request->id_subhasil[$index])
                        ->update(['jumlah' => $request->jumlah_sub_peryataan[$index]]); 
                    }    
                       
                                
                }

        }

        $fakultas     = Fakultas::query()->orderBy('id')->get();
        foreach($fakultas as $data)
        {
            $total = Hasil_Instrument::where('id_sub_instrument', $request->id_sub_instrument)
            ->where('id_fakultas',$data->id) 
            ->where('tahun',$request->input('tahun'))                                     
            ->sum('jumlah');
            
            $update = Hasil_Instrument::where('id_sub_instrument', $request->id_sub_instrument)
                ->where('id_fakultas',$data->id) 
                ->where('tahun',$request->input('tahun'))    
                ->update(['total' => $total]);       
        }
            
        return redirect()->back()->with('success', 'Data Berhasil Disimpan');   
       
    }

   
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function cetak_pdf($id,$id2)
    {
        $data['filter_instrument']   =  decrypt($id);
        $data['filter_tahun']        =  decrypt($id2);
        $data['instrumentdetail']              = Instrument::query()->where('id', decrypt($id))->first();
       
        $data['pernyataan_instrument']         = Pernyataan_Instrument::query()->orderBy('pernyataan_instrument')->get();
        $data['sub_instrument']                = Sub_Instrument::query()->where('id_instrument',decrypt($id))
                                                                        ->orderBy('id_instrument')->get();
        $data['sub_pernyataan_instrument']     = Sub_Pernyataan_Instrument::query()->orderBy('sub_peryataan')->get();
        $data['fakultas']                      = Fakultas::query()->orderBy('id')->get();
       
    	$pdf = PDF::loadview('content.backend.masters.lembar_instrument_monitoring.laporan', $data);
    	return $pdf->download('laporan-pegawai-pdf');
    }
}
